Bug 1795032 - Review Request: gst - System utility designed to stress and monitoring various hardware components
Summary: Review Request: gst - System utility designed to stress and monitoring variou...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vitaly Zaitsev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-26 14:42 UTC by Artem
Modified: 2020-01-31 02:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 02:01:32 UTC
Type: Bug
vitaly: fedora-review+


Attachments (Terms of Use)

Description Artem 2020-01-26 14:42:41 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/atim/gst/fedora-31-x86_64/01187767-gst/gst.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/atim/gst/fedora-31-x86_64/01187767-gst/gst-0.5.0-1.fc31.src.rpm

Description:
GST is a GTK system utility designed to stress and monitoring various hardware
components like CPU and RAM.

- Run different CPU and memory stress tests
- Run multi and single core benchmark
- Show Processor information (name, cores, threads, family, model, stepping, flags,bugs, etc)
- Show Processor's cache information
- Show Motherboard information (vendor, model, bios version, bios date, etc)
- Show RAM information (size, speed, rank, manufacturer, part number, etc)
- Show CPU usage (core %, user %, load avg, etc)
- Show Memory usage
- Show CPU's physical's core clock (current, min, max)
- Show Hardware monitor (info provided by sys/class/hwmon)


Fedora Account System Username: atim

Comment 1 Vitaly Zaitsev 2020-01-26 14:54:05 UTC
I will review this package.

Comment 2 Vitaly Zaitsev 2020-01-26 15:09:15 UTC
Script scripts/meson_post_install.py must be removed:

sed -e '/meson_post_install/d' -i meson.build

Comment 4 Vitaly Zaitsev 2020-01-26 16:07:10 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/24x24/apps, /usr/share/icons/hicolor/24x24,
     /usr/share/icons/hicolor/24x24@2x,
     /usr/share/icons/hicolor/32x32@2x/apps, /usr/share/gst,
     /usr/share/icons/hicolor/32x32/apps, /usr/share/dbus-1/services,
     /usr/share/icons/hicolor/32x32@2x, /usr/share/icons/hicolor/48x48@2x,
     /usr/share/icons/hicolor, /usr/share/icons/hicolor/256x256@2x,
     /usr/share/icons/hicolor/24x24@2x/apps,
     /usr/share/icons/hicolor/symbolic, /usr/share/icons/hicolor/256x256,
     /usr/share/icons/hicolor/symbolic/apps,
     /usr/share/icons/hicolor/16x16@2x/apps,
     /usr/share/icons/hicolor/16x16@2x,
     /usr/share/icons/hicolor/16x16/apps,
     /usr/share/icons/hicolor/256x256@2x/apps,
     /usr/share/icons/hicolor/48x48@2x/apps,
     /usr/share/icons/hicolor/256x256/apps, /usr/share/icons/hicolor/32x32,
     /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/16x16,
     /usr/share/dbus-1, /usr/share/icons/hicolor/48x48/apps
[?]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.8/site-
     packages/gst(Failed, set, to, C, defaulting, locale,),
     /usr/lib/python3.8/site-packages/gst/Xlib(Failed, set, to, C,
     defaulting, locale,), /usr/lib/python3.8/site-
     packages/gst/__pycache__(Failed, set, to, C, defaulting, locale,),
     /usr/lib/python3.8/site-packages/gst/interactor(Failed, set, to, C,
     defaulting, locale,), /usr/lib/python3.8/site-
     packages/gst/interactor/__pycache__(Failed, set, to, C, defaulting,
     locale,), /usr/lib/python3.8/site-packages/gst/model(Failed, set, to,
     C, defaulting, locale,), /usr/lib/python3.8/site-
     packages/gst/model/__pycache__(Failed, set, to, C, defaulting,
     locale,), /usr/lib/python3.8/site-packages/gst/presenter(Failed, set,
     to, C, defaulting, locale,), /usr/lib/python3.8/site-
     packages/gst/presenter/__pycache__(Failed, set, to, C, defaulting,
     locale,), /usr/lib/python3.8/site-packages/gst/repository(Failed, set,
     to, C, defaulting, locale,), /usr/lib/python3.8/site-
     packages/gst/repository/__pycache__(Failed, set, to, C, defaulting,
     locale,), /usr/lib/python3.8/site-packages/gst/util(Failed, set, to,
     C, defaulting, locale,), /usr/lib/python3.8/site-
     packages/gst/util/__pycache__(Failed, set, to, C, defaulting,
     locale,), /usr/lib/python3.8/site-packages/gst/util/desktop(Failed,
     set, to, C, defaulting, locale,), /usr/lib/python3.8/site-
     packages/gst/util/desktop/__pycache__(Failed, set, to, C, defaulting,
     locale,), /usr/lib/python3.8/site-packages/gst/view(Failed, set, to,
     C, defaulting, locale,), /usr/lib/python3.8/site-
     packages/gst/view/__pycache__(Failed, set, to, C, defaulting,
     locale,), /usr/share/doc/gst(Failed, set, to, C, defaulting, locale,),
     /usr/share/licenses/gst(Failed, set, to, C, defaulting, locale,)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: gst (description)
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gst-0.5.0-3.fc32.noarch.rpm
          gst-0.5.0-3.fc32.src.rpm
gst.noarch: E: explicit-lib-dependency libdazzle
gst.noarch: E: explicit-lib-dependency libnotify
gst.noarch: W: spelling-error %description -l en_US sys -> says, sis, syn
gst.noarch: W: spelling-error %description -l en_US hwmon -> homonym
gst.noarch: W: no-manual-page-for-binary gst
gst.src: W: spelling-error %description -l en_US sys -> says, sis, syn
gst.src: W: spelling-error %description -l en_US hwmon -> homonym
2 packages and 0 specfiles checked; 2 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
gst.noarch: E: explicit-lib-dependency libdazzle
gst.noarch: E: explicit-lib-dependency libnotify
gst.noarch: W: spelling-error %description -l en_US sys -> says, sis, syn
gst.noarch: W: spelling-error %description -l en_US hwmon -> homonym
gst.noarch: W: invalid-url URL: https://gitlab.com/leinardi/gst <urlopen error [Errno -2] Name or service not known>
gst.noarch: W: no-manual-page-for-binary gst
1 packages and 0 specfiles checked; 2 errors, 4 warnings.



Source checksums
----------------
https://gitlab.com/leinardi/gst/-/archive/0.5.0/gst-0.5.0.tar.gz :
  CHECKSUM(SHA256) this package     : 9a20d80b82f888bd97e12a194bb277d1b3e734e53b7bb436b9abcd6a4d6ad881
  CHECKSUM(SHA256) upstream package : 9a20d80b82f888bd97e12a194bb277d1b3e734e53b7bb436b9abcd6a4d6ad881


Requires
--------
gst (rpmlib, GLIBC filtered):
    /usr/bin/python3
    libdazzle
    libnotify
    python(abi)
    python3-gobject
    python3-humanfriendly
    python3-injector
    python3-matplotlib-gtk3
    python3-peewee
    python3-psutil
    python3-pyxdg
    python3-pyyaml
    python3-requests
    python3-rx



Provides
--------
gst:
    application()
    application(com.leinardi.gst.desktop)
    gst
    metainfo()
    metainfo(com.leinardi.gst.appdata.xml)



Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -b 1795032
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: C/C++, Java, Haskell, SugarActivity, fonts, PHP, Ocaml, Perl, R
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 5 Vitaly Zaitsev 2020-01-26 16:09:52 UTC
> [!]: Package must own all directories that it creates.

1. Add Requires: hicolor-icon-theme.

> [?]: Package does not own files or directories owned by other packages.

2. Rpmlint bug I think.

3. Please add %{?python_provide:%python_provide python3-%{name}}.

Comment 6 Vitaly Zaitsev 2020-01-26 16:13:28 UTC
4. Add Requires: dbus-common

Comment 7 Vitaly Zaitsev 2020-01-26 16:15:42 UTC
5. Rpmlint errors need to be fixed:

E: explicit-lib-dependency libdazzle
E: explicit-lib-dependency libnotify

Comment 9 Vitaly Zaitsev 2020-01-26 16:47:09 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/24x24@2x, /usr/share/gst,
     /usr/share/icons/hicolor/256x256@2x/apps,
     /usr/share/icons/hicolor/32x32@2x,
     /usr/share/icons/hicolor/16x16@2x/apps,
     /usr/share/icons/hicolor/256x256@2x,
     /usr/share/icons/hicolor/24x24@2x/apps,
     /usr/share/icons/hicolor/48x48@2x,
     /usr/share/icons/hicolor/48x48@2x/apps,
     /usr/share/icons/hicolor/32x32@2x/apps,
     /usr/share/icons/hicolor/16x16@2x
[?]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.8/site-
     packages/gst(Failed, set, C, locale,, defaulting, to),
     /usr/lib/python3.8/site-packages/gst/Xlib(Failed, set, C, locale,,
     defaulting, to), /usr/lib/python3.8/site-
     packages/gst/__pycache__(Failed, set, C, locale,, defaulting, to),
     /usr/lib/python3.8/site-packages/gst/interactor(Failed, set, C,
     locale,, defaulting, to), /usr/lib/python3.8/site-
     packages/gst/interactor/__pycache__(Failed, set, C, locale,,
     defaulting, to), /usr/lib/python3.8/site-packages/gst/model(Failed,
     set, C, locale,, defaulting, to), /usr/lib/python3.8/site-
     packages/gst/model/__pycache__(Failed, set, C, locale,, defaulting,
     to), /usr/lib/python3.8/site-packages/gst/presenter(Failed, set, C,
     locale,, defaulting, to), /usr/lib/python3.8/site-
     packages/gst/presenter/__pycache__(Failed, set, C, locale,,
     defaulting, to), /usr/lib/python3.8/site-
     packages/gst/repository(Failed, set, C, locale,, defaulting, to),
     /usr/lib/python3.8/site-packages/gst/repository/__pycache__(Failed,
     set, C, locale,, defaulting, to), /usr/lib/python3.8/site-
     packages/gst/util(Failed, set, C, locale,, defaulting, to),
     /usr/lib/python3.8/site-packages/gst/util/__pycache__(Failed, set, C,
     locale,, defaulting, to), /usr/lib/python3.8/site-
     packages/gst/util/desktop(Failed, set, C, locale,, defaulting, to),
     /usr/lib/python3.8/site-packages/gst/util/desktop/__pycache__(Failed,
     set, C, locale,, defaulting, to), /usr/lib/python3.8/site-
     packages/gst/view(Failed, set, C, locale,, defaulting, to),
     /usr/lib/python3.8/site-packages/gst/view/__pycache__(Failed, set, C,
     locale,, defaulting, to), /usr/share/doc/gst(Failed, set, C, locale,,
     defaulting, to), /usr/share/licenses/gst(Failed, set, C, locale,,
     defaulting, to)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: gst (description)
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gst-0.5.0-4.fc32.noarch.rpm
          gst-0.5.0-4.fc32.src.rpm
gst.noarch: W: spelling-error %description -l en_US sys -> says, sis, syn
gst.noarch: W: spelling-error %description -l en_US hwmon -> homonym
gst.noarch: W: no-manual-page-for-binary gst
gst.src: W: spelling-error %description -l en_US sys -> says, sis, syn
gst.src: W: spelling-error %description -l en_US hwmon -> homonym
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
gst.noarch: W: spelling-error %description -l en_US sys -> says, sis, syn
gst.noarch: W: spelling-error %description -l en_US hwmon -> homonym
gst.noarch: W: invalid-url URL: https://gitlab.com/leinardi/gst <urlopen error [Errno -2] Name or service not known>
gst.noarch: W: no-manual-page-for-binary gst
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Source checksums
----------------
https://gitlab.com/leinardi/gst/-/archive/0.5.0/gst-0.5.0.tar.gz :
  CHECKSUM(SHA256) this package     : 9a20d80b82f888bd97e12a194bb277d1b3e734e53b7bb436b9abcd6a4d6ad881
  CHECKSUM(SHA256) upstream package : 9a20d80b82f888bd97e12a194bb277d1b3e734e53b7bb436b9abcd6a4d6ad881


Requires
--------
gst (rpmlib, GLIBC filtered):
    /usr/bin/python3
    dbus-common
    hicolor-icon-theme
    python(abi)
    python3-gobject
    python3-humanfriendly
    python3-injector
    python3-matplotlib-gtk3
    python3-peewee
    python3-psutil
    python3-pyxdg
    python3-pyyaml
    python3-requests
    python3-rx



Provides
--------
gst:
    application()
    application(com.leinardi.gst.desktop)
    gst
    metainfo()
    metainfo(com.leinardi.gst.appdata.xml)
    python-gst



Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -b 1795032
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: Java, Perl, fonts, C/C++, SugarActivity, PHP, Ocaml, R, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 10 Vitaly Zaitsev 2020-01-26 16:48:39 UTC
> /usr/share/icons/hicolor/24x24@2x

1. @2x must be removed.

> %{_datadir}/%{name}/*.gresource

2. Should be replaced with %{_datadir}/%{name}.

Comment 12 Vitaly Zaitsev 2020-01-26 17:12:31 UTC
LGTM now. Package approved.

Comment 13 Gwyn Ciesla 2020-01-27 14:17:18 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gst

Comment 14 Fedora Update System 2020-01-27 16:52:18 UTC
FEDORA-2020-c25ea37235 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c25ea37235

Comment 15 Fedora Update System 2020-01-27 19:05:38 UTC
FEDORA-2020-c25ea37235 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c25ea37235

Comment 16 Fedora Update System 2020-01-31 02:01:32 UTC
gst-0.6.1-2.fc31, python-rx-3.0.1-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.